#include<iostream>
#include<cmath>
using namespace std;
main()
{
	int n, k, i, j, s = 0, p, q;
	cin >> n >> k;
	int a[n];
	for(i = 0; i < n; i++)
	{
		cin >> a[i];
	}
	if(k == 0)
	{
		for(i = 0; i < n; i++)
		{
			s+= a[i];
		}
	}
	else if(k == 1)
	{
		for(i = 0; i < n; i++)
		{
			for(j = i; j < n; j++)
			{
			p = n;
				for(q = j; q < p; p--)
				{
					s+= a[q];
				}
			}
		}
	}
	cout << s ;
	return 0;
}